View Issue Details

IDProjectCategoryView StatusLast Update
14312Bug reports[All Projects] User/User groupspublic2019-04-30 09:11
ReporterBthieme531Assigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14312: Import participant CSV is not possible with surveys update right
Description

The user has all the rights to edit surveys, users and participants. He's kind of a Content-Administrator. But it seems to have been quite forgotten: Upload CSV.
Because to its global rights, no additional survey permissions have been created for users. It should also be possible without.

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.x, 3.x
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMariaDB 10.1.37
Server OS (if known)Debian 9.6 amd64
Webserver software & version (if known)Apache 2.4.25
PHP Version7.0.30

Activities

Bthieme531

Bthieme531

2018-12-03 13:09

reporter  

Rechte_Nutzer.PNG (76,137 bytes)
Rechte_Nutzer.PNG (76,137 bytes)
DenisChenu

DenisChenu

2018-12-06 19:54

developer   ~49902

Surely same with VV import :).
Totally right :)

guest

guest

2018-12-20 15:42

viewer   ~50049

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28669

DenisChenu

DenisChenu

2018-12-27 12:14

developer   ~50075

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28692

ollehar

ollehar

2019-01-16 17:30

administrator   ~50231

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28762

Related Changesets

LimeSurvey: master 2dc64f3b

2018-12-20 15:42:09

Dominik Vitt

Details Diff
Fixed issue 14312: Importing participants from CSV is not possible for user with survey/create global permission Affected Issues
14312
mod - application/controllers/admin/tokens.php Diff File
mod - application/views/admin/token/token_bar.php Diff File

LimeSurvey: develop bcae7a46

2018-12-20 15:42:09

Dominik Vitt


Committer: ollehar Details Diff
Fixed issue 14312: Importing participants from CSV is not possible for user with survey/create global permission Affected Issues
14312
mod - application/controllers/admin/tokens.php Diff File
mod - application/views/admin/token/token_bar.php Diff File

LimeSurvey: master e1d3e003

2018-12-27 12:14:04

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14312: Import participant CSV is not possible with surveys update right (#1197)

Dev: Revert "Fixed issue 14312: Importing participants from CSV is not possible for user with survey/create global permission"
Dev: This reverts commit 2dc64f3b8e1e6961becb006f4c0cdd53a3943ea0.
Dev: fix it in Permission::model, then fixed for RC and plugin too
Affected Issues
14312
mod - application/controllers/admin/tokens.php Diff File
mod - application/models/Permission.php Diff File
mod - application/views/admin/token/token_bar.php Diff File

LimeSurvey: develop 2c513cd0

2018-12-27 12:14:04

DenisChenu


Committer: ollehar Details Diff
Fixed issue 14312: Import participant CSV is not possible with surveys update right (#1197)

Dev: Revert "Fixed issue 14312: Importing participants from CSV is not possible for user with survey/create global permission"
Dev: This reverts commit 2dc64f3b8e1e6961becb006f4c0cdd53a3943ea0.
Dev: fix it in Permission::model, then fixed for RC and plugin too
Affected Issues
14312
mod - application/controllers/admin/tokens.php Diff File
mod - application/models/Permission.php Diff File
mod - application/views/admin/token/token_bar.php Diff File

Issue History

Date Modified Username Field Change
2018-12-03 13:09 Bthieme531 New Issue
2018-12-03 13:09 Bthieme531 File Added: Rechte_Nutzer.PNG
2018-12-03 13:09 Bthieme531 File Added: Funktion_CSV_hochladen_nicht_da.png
2018-12-06 19:54 DenisChenu Note Added: 49902
2018-12-06 19:54 DenisChenu View Status private => public
2018-12-06 19:54 DenisChenu Description Updated View Revisions
2018-12-20 15:42 Changeset attached => LimeSurvey master 2dc64f3b
2018-12-20 15:42 guest Note Added: 50049
2018-12-20 15:42 guest Resolution open => fixed
2018-12-20 15:47 dominikvitt Assigned To => dominikvitt
2018-12-20 15:47 dominikvitt Status new => resolved
2018-12-20 15:47 dominikvitt Fixed in Version => 3.15.x
2018-12-22 14:53 DenisChenu Summary Uploading CSV is not => Import participant CSV is not possible with surveys update right
2018-12-27 12:14 DenisChenu Changeset attached => LimeSurvey master e1d3e003
2018-12-27 12:14 DenisChenu Note Added: 50075
2019-01-16 17:30 ollehar Changeset attached => LimeSurvey develop 2c513cd0
2019-01-16 17:30 ollehar Changeset attached => LimeSurvey develop bcae7a46
2019-01-16 17:30 ollehar Note Added: 50231
2019-04-30 09:11 c_schmitz Status resolved => closed